import { RequestClient } from '@segment/actions-core';
import { Settings } from '../generated-types';
import { OptEventProperties, EventItem, EventItemWithProps, SendEventJSON } from './types';
export declare class OptimizelyWebClient {
    request: RequestClient;
    settings: Settings;
    constructor(request: RequestClient, settings: Settings);
    getCustomEvents(): Promise<import("@segment/actions-core").ModifiedResponse<EventItem[]>>;
    getCustomEvent(event_id: string): Promise<import("@segment/actions-core").ModifiedResponse<EventItemWithProps>>;
    createCustomEvent(key: string, optEventProperties: OptEventProperties): Promise<import("@segment/actions-core").ModifiedResponse<EventItemWithProps>>;
    sendEvent(body: SendEventJSON): Promise<import("@segment/actions-core").ModifiedResponse<unknown>>;
}
